Bug 1917803 - [sig-storage] Pod Disks should be able to delete a non-existent PD without error [NEEDINFO]
Summary: [sig-storage] Pod Disks should be able to delete a non-existent PD without error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 12:04 UTC by Nikolaos Leandros Moraitis
Modified: 2021-02-24 15:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
[sig-storage] Pod Disks should be able to delete a non-existent PD without error
Last Closed: 2021-02-24 15:54:42 UTC
Target Upstream Version:
sdodson: needinfo? (nmoraiti)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 546 0 None closed Bug 1917803: UPSTREAM: 98187: Skip PD tests on 1 node cluster 2021-02-18 21:29:53 UTC
Github openshift origin pull 25852 0 None closed Bug 1917803: Bump(github.com/openshift/kubernetes) 2021-02-18 21:29:54 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:59 UTC

Comment 1 Scott Dodson 2021-01-19 12:51:31 UTC
Nikolas, please file these against the components with the failing test rather than the job that had the failure.

Comment 2 Jan Safranek 2021-01-19 17:31:15 UTC
> https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-gcp-4.7/1351451506930356224

This contains only "Failed to setup provider config for "gce": Error building GCE/GKE provider: unexpected response listing zones: googleapi: Error 403: Quota exceeded for quota group 'ListGroup' and limit 'List requests per 100 seconds' of service 'compute.googleapis.com' for consumer 'project_number:1053217076791'., rateLimitExceeded". 

I checked the other issues in linked search, it's the usual set of "rateLimitExceeded", "connection refused", "watch closed before UntilWithoutRetry timeout", "i/o timeout" and so on that we track in bug #1890131.

What's new here is:

fail [k8s.io/kubernetes/test/e2e/storage/pd.go:84]: Requires at least 2 nodes
Expected
    <int>: 1
to be >=
    <int>: 2

The test should be skipped on 2 node cluster.

Comment 4 Jan Safranek 2021-02-02 15:13:59 UTC
Downstream: https://github.com/openshift/kubernetes/pull/546

Comment 6 Qin Ping 2021-02-03 08:38:51 UTC
Hi Jan,

Could you please help submit a PR to origin repo? Thanks!

Comment 7 Jan Safranek 2021-02-03 15:57:30 UTC
Thanks for heads-up, I created https://github.com/openshift/origin/pull/25852

Comment 9 Qin Ping 2021-02-05 07:14:21 UTC
Verified with the following test log:

skip [k8s.io/kubernetes@v1.20.0/test/e2e/storage/pd.go:76]: Requires at least 2 nodes (not 0)

skipped: (1.7s) 2021-01-31T21:02:55 "[sig-storage] Pod Disks should be able to delete a non-existent PD without error [Suite:openshift/conformance/parallel] [Suite:k8s]"

Comment 12 errata-xmlrpc 2021-02-24 15:54:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.